Subject: Re: bash history not restored
From: Ian Zimmerman <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 21 May 1999 09:51:12 -0700

Earnie Boyd wrote:
> 
> --- Victor Ott <[email-masked]> wrote:
> > Ian Zimmerman wrote:
> > > No matter what I do, I can't seem to make bash restore the command
> > > history from .bash_history when it starts.  During a session,
> > > interactive history mode works; moreover, current history is saved to
> > > the file when session ends.  But the next session will again start with
> > > empty history :-[
> > >
> > > Running Cygwin-b20.1, NT Workstation SP4, FAT fs, text mount.
> >
> > I think it's the text mount. As far I've seen, bash imports history
> > entries from past bash sessions only when 'binmode' is set in CYGWIN
> > env. var., and that's what I am doing. Others might have other
> > solutions.
> 
> Hmm.  It is noted in the FAQ or documentation however that specifying the
> [no]binmode value causes other problems and the suggestion is to not set this
> switch in the CYGWIN variable.  The problem is particular to specifying the
> file processing mode in the open/fopen statements.  I believe this was fixed
> and downloading the Jan 15th snapshot would solve the FAQ stated problem.

So, HOW do I make history work AND have text opens/fopens by default? 
Is this a lose/lose situation?  After all, text mount is still the
default behavior, so this would make history not work out of the box. 
(I can't test that because my setup has gotten too far outside the box.
:)

Text mount is absolutely necessary for me; without it, I can't use Emacs
(or any other Cygwin program) to handle non-Cygwin originated files.

-- 
Ian Zimmerman
Lightbinders, Inc.
2325 3rd Street #324, San Francisco, California 94107

--
Want to unsubscribe from this list?
Send a message to [email-masked]